%define sname gnunet

%define major 1
%define libname %mklibname %sname %major
%define devname %mklibname -d %sname

Name:		GNUnet
Version:	0.7.2b
Release:	%mkrel 1
License:	GPLv2+
Summary:	Secure and anonymous peer-to-peer file sharing
URL:		http://gnunet.org/
Source:		http://gnunet.org/download/GNUnet-0.7.2b.tar.bz2
Group:		Networking/File transfer
BuildRequires:	libextractor-devel libxml2-devel libcurl-devel
BuildRequires:	libgcrypt-devel gawk libgmp-devel libgtk+2.0-devel
BuildRequires:	libglade2.0-devel gettext-devel sqlite3-devel
BuildRequires:	mysql-client mysql-devel guile-devel adns-devel
BuildRequires:	libmicrohttpd-devel libncursesw-devel libltdl-devel
Requires:	mysql-client
Requires:	%{libname} = %{version}-%{release}
%description
GNUnet is a framework for secure peer-to-peer networking that does not
use any centralized or otherwise trusted services. A first service
implemented on top of the networking layer allows anonymous censorship-
resistant file-sharing. GNUnet uses a simple, excess-based economic
model to allocate resources. Peers in GNUnet monitor each others behavior
with respect to resource usage; peers that contribute to the network
are rewarded with better service.

%package -n %libname
Summary:	Library for %{name}
Group:		Networking/File transfer
%description -n %libname
Library for %{name}.

%package -n %devname
Summary:	Development files for %{libname}
Group:		Networking/File transfer
Provides:	lib%{sname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
%description -n %devname
Development files for %{libname}.

%prep
%setup -q

%build
%configure --enable-ipv6
# makefile doesn't support running multiple jobs simultaneously
%{__make}

%install
%{__rm} -Rf %{buildroot}
%makeinstall


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING NEWS PLATFORMS README README.fr UPDATING
%{_bindir}/%{sname}*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/locale
%{_mandir}/man1/%{sname}*.1.*
%{_mandir}/man5/%{sname}*.5.*

%files -n %libname
%{_libdir}/lib%{sname}*.so.*

%files -n %devname
%{_libdir}/lib%{sname}*.so
%{_libdir}/lib%{sname}*.la
%{_includedir}/%{name}



%changelog
* Tue Aug 21 2007 Nicolas Vigier <nvigier@mandriva.com> 0.7.2b-1mdv2008.0
+ Revision: 68376
- Import GNUnet

